package model;
import java.util.ArrayList;
import java.util.Observable;

/**
 * Diese Klasse repraesentiert eine Bank
 * @author Martin
 *
 */
public class Bank extends Observable {

	private String name;
	private int blz;
	
	private ArrayList<Kunde> kunden;
	private ArrayList<Konto> konten;
	
	/**
	 * Bank-Konstruktor
	 * @param name
	 * @param blz
	 */
	public Bank(String name, int blz){
		this.name = name;
		this.blz = blz;
		kunden = new ArrayList<Kunde>();
		konten = new ArrayList<Konto>();
	}
	
	/**
	 * legt einen Kunden an
	 * @param name Kundenname
	 */
	public void legeKundenAn(String name){
		Kunde kunde = new Kunde(name);
		kunden.add(kunde);
	}
	
	/**
	 * legt ein Konto an
	 * @param kontonr
	 * @param besitzer
	 * @param bank
	 */
	public void legeKontoAn(int kontonr, Kunde besitzer, Bank bank){
		Konto konto = new Konto(kontonr, besitzer, bank);
		konten.add(konto);
	}
	
	/**
	 * weist ein Konto einem Kunden zu
	 * @param konto
	 * @param kunde
	 */
	public void weiseGirokontoAnKundenZu(Girokonto konto, Kunde kunde){
		kunde.addGirokonto(konto);
	}

}
