package view;

import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.util.Observable;
import java.util.Observer;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JList;
import javax.swing.JPanel;

/**
 * GUI der Banksimulation
 * @author Martin
 *
 */
public class View extends JFrame implements Observer {

	private static final long serialVersionUID = 1L;

	/**
	 * Konstruktor der GUI
	 */
	public View(){
		// Standardsettings 
		setTitle("Banksimulation Lsung 9");
		setSize(600,400);
		setLocation(100, 100);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		// Layout des Frames
		setLayout(new BorderLayout());
		
		// Buttonpanel
		JPanel buttonpanel = new JPanel();
		buttonpanel.setLayout(new FlowLayout());
		
		// Listen
		JList<String> bankenliste = new JList<String>();
		JList<String> kundenliste = new JList<String>();
		JList<String> kontenliste = new JList<String>();
		
		// Buttons
		JButton neueBank = new JButton("Neue Bank");
		JButton neuerKunde = new JButton("Neuer Kunde");
		JButton neuesKonto = new JButton("Neues Konto");
		
		// Zusammenfuegen
		add(bankenliste, BorderLayout.WEST);
		add(kundenliste, BorderLayout.CENTER);
		add(kontenliste, BorderLayout.EAST);
		
		buttonpanel.add(neueBank);
		buttonpanel.add(neuerKunde);
		buttonpanel.add(neuesKonto);
		
		add(buttonpanel, BorderLayout.SOUTH);
		
		// Anzeige
		setVisible(true);
	}
	
	@Override
	public void update(Observable o, Object arg) {
		// TODO Auto-generated method stub
		
	}

}
